Fortrip
HTTP APIReference

CLI sign-in settings

Where and how a client signs in with the device authorization flow. It needs no access token.

GET
/v1/auth/config

Response Body

CLI sign-in settings

application/json
  1. response
issuer*string
clientId*string
scopes*string
deviceAuthorizationEndpoint*string
tokenEndpoint*string
revocationEndpoint*string
[key: string]?unknown
Example Request
curl -X GET 'https://api.fortrip.ai/v1/auth/config'
Example Response
{  "issuer": "string",  "clientId": "string",  "scopes": "string",  "deviceAuthorizationEndpoint": "string",  "tokenEndpoint": "string",  "revocationEndpoint": "string",  "property1": null,  "property2": null}